%define anolis_release 1

Name:		json-glib
Version:	1.8.0
Release:	%{anolis_release}%{?dist}
Summary:	Library for JavaScript Object Notation format

License:	LGPL-2.1-or-later
URL:		https://wiki.gnome.org/Projects/JsonGlib
Source0:	https://download.gnome.org/sources/%{name}/1.8/%{name}-%{version}.tar.xz

BuildRequires:	docbook-style-xsl, gi-docgen, meson, gettext, gobject-introspection-devel
BuildRequires:	glib2-devel >= 2.54.0
BuildRequires:	/usr/bin/xsltproc
Requires:	glib2 >= 2.54.0

%description
%{name} is a library providing serialization and deserialization support
for the JavaScript Object Notation (JSON) format.

Many high-level languages already provide native modules for parsing,
generating and manipulating JSON data streams. %{name} is a C library
based on GLib and released under the terms of the GNU Lesser General
Public License version 2.1. It provides a parser and a generator GObject
classes and various wrappers for the complex data types employed by JSON,
such as arrays and objects.

%package devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package tests
Summary:        Tests for the %{name} package
Requires:       %{name} = %{version}-%{release}

%description tests
The %{name}-tests package contains tests that can be used to verify
the functionality of the installed %{name} package.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.


%prep
%autosetup


%build
%meson \
  -Dgtk_doc=enabled \
  -Dman=true

%meson_build


%install
%meson_install

%generate_compatibility_deps


%find_lang %{name}-1.0


%files -f json-glib-1.0.lang
%license COPYING
%dir %{abidir}
%{_libdir}/libjson-glib-1.0.so.0*
%{abidir}/libjson-glib-1.0.dump
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Json-1.0.typelib


%files devel
%{_includedir}/json-glib-1.0/
%{_libdir}/libjson-glib-1.0.so
%{_libdir}/pkgconfig/json-glib-1.0.pc
%{_datadir}/doc/json-glib-1.0/
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Json-1.0.gir
%{_bindir}/json-glib-format
%{abidir}/json-glib-format-option.list
%{_bindir}/json-glib-validate
%{abidir}/json-glib-validate-option.list
%{_mandir}/man1/json-glib-format.1*
%{_mandir}/man1/json-glib-validate.1*

%files tests
%{_libexecdir}/installed-tests/
%{_datadir}/installed-tests/

%files doc
%doc NEWS


%changelog
* Fri Feb 21 2025 Xiaoping Liu <lxp01404969@alibaba-inc.com> - 1.8.0-1
- update to 1.8.0 from 1.6.6
- Migrated to SPDX license

* Tue Apr 11 2023 Ziyang Zhang <ZiyangZhang@linux.alibaba.com> -1.6.6-3
- Optimize spec file and add abi/api files

* Thu Sep 29 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.6.6-2
- add doc package

* Tue Mar  8 2022 Liwei Ge <liwei.glw@linux.alibaba.com> - 1.6.6-1
- Init version from upstream v1.6.6
